ZOS (CMDB Model API)
Keywords: com.collation.platform.model.topology.sys.zOS.ZOS interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.sys.zOS
Interface ZOS

All Superinterfaces:
  CIMSystem, ConfigurationItem, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, OperatingSystem, java.io.Serializable, SysplexNode, Version

    public interface ZOS

extends OperatingSystem, SysplexNode

A instance of the zOS operating system

Naming Rules:
  0="netidSSCP" 1="owner,SMFID"
Persistable:
  true
Display Name:
  SMFID

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getDynamicAPF()`
`java.lang.String` | `getDynamicEXIT()`
`java.lang.String` | `getDynamicLNKLST()`
`java.lang.String` | `getDynamicLNKLSTName()`
`java.lang.String` | `getFmid()`
`java.lang.String` | `getIODFDataset()`
`java.lang.String` | `getIODFEDT()`
`long` | `getIODFTime()`
`java.lang.String` | `getIODFVolume()`
`java.lang.String` | `getIPLParmDataset()` The dataset from which this operating system takes its initial load parameters
`java.lang.String` | `getIPLParmDevice()`
`java.lang.String` | `getIPLParmMember()`
`java.lang.String` | `getIPLParmVolume()`
`long` | `getIPLTime()` The time when this operating system was last started
`java.lang.String` | `getJESNode()` The identification of this operating system in the JES system
`java.lang.String` | `getMasterCatalogDataset()`
`java.lang.String` | `getMasterCatalogVolume()`
`java.lang.String` | `getNetID()`
`java.lang.String` | `getNetidSSCP()` Depracated.
`OrganizationalEntity` | `getOwner()` The organization that owns this instance of zOS
`java.lang.String` | `getParmlibALLOC()`
`java.lang.String` | `getParmlibBPXPRM()` A copy of BPXPRMxx member(s) from the PARMLIB dataset concatenation that was used for the current IPL.
`java.lang.String` | `getParmlibCEEPRM()`
`java.lang.String` | `getParmlibCLOCK()`
`java.lang.String` | `getParmlibCOMMND()`
`java.lang.String` | `getParmlibCONSOL()`
`java.lang.String` | `getParmlibCOUPLE()`
`java.lang.String` | `getParmlibCSVRTL()`
`java.lang.String` | `getParmlibCUNUNI()`
`java.lang.String` | `getParmlibDEVSUP()`
`java.lang.String` | `getParmlibDIAG()`
`java.lang.String` | `getParmlibEXIT()`
`java.lang.String` | `getParmlibGRSCNF()`
`java.lang.String` | `getParmlibGRSRNL()`
`java.lang.String` | `getParmlibIEAAPF()`
`java.lang.String` | `getParmlibIEAFIX()`
`java.lang.String` | `getParmlibIEALPA()`
`java.lang.String` | `getParmlibIEAOPT()`
`java.lang.String` | `getParmlibIEAPAK()`
`java.lang.String` | `getParmlibIEASVC()`
`java.lang.String` | `getParmlibIEASYM()`
`java.lang.String` | `getParmlibIEASYS()`
`java.lang.String` | `getParmlibIECIOS()`
`java.lang.String` | `getParmlibIEFSSN()`
`java.lang.String` | `getParmlibIFAPRD()`
`java.lang.String` | `getParmlibIGDSMS()`
`java.lang.String` | `getParmlibIKJTSO()`
`java.lang.String` | `getParmlibLNKLST()`
`java.lang.String` | `getParmlibLOAD()`
`java.lang.String` | `getParmlibLPALST()`
`java.lang.String` | `getParmlibMembers()`
`java.lang.String` | `getParmlibMSTJCL()`
`java.lang.String` | `getParmlibPROG()`
`java.lang.String` | `getParmlibs()`
`java.lang.String` | `getParmlibSCHED()`
`java.lang.String` | `getParmlibSMFPRM()`
`java.lang.String` | `getParmlibSPXPRM()`
`java.lang.String` | `getParmlibVATLST()`
`java.lang.String` | `getPrimaryJES()`
`int` | `getProcessCapacityUnits()` Units in which the processing capacity was specified
`float` | `getProcessingCapacity()` The processing capacity of this operating system
`int` | `getSecurityPackage()`
`java.lang.String` | `getSMFID()` The ID of this operating system in SMF
`java.lang.String` | `getSSCP()`
`StorageVolume[]` | `getStorageVolume()`
`java.lang.String` | `getSysResVolume()` The volume on which the system load for this operating system resides
`boolean` | `hasDynamicAPF()`
`boolean` | `hasDynamicEXIT()`
`boolean` | `hasDynamicLNKLST()`
`boolean` | `hasDynamicLNKLSTName()`
`boolean` | `hasFmid()`
`boolean` | `hasIODFDataset()`
`boolean` | `hasIODFEDT()`
`boolean` | `hasIODFTime()`
`boolean` | `hasIODFVolume()`
`boolean` | `hasIPLParmDataset()`
`boolean` | `hasIPLParmDevice()`
`boolean` | `hasIPLParmMember()`
`boolean` | `hasIPLParmVolume()`
`boolean` | `hasIPLTime()`
`boolean` | `hasJESNode()`
`boolean` | `hasMasterCatalogDataset()`
`boolean` | `hasMasterCatalogVolume()`
`boolean` | `hasNetID()`
`boolean` | `hasNetidSSCP()`
`boolean` | `hasOwner()`
`boolean` | `hasParmlibALLOC()`
`boolean` | `hasParmlibBPXPRM()`
`boolean` | `hasParmlibCEEPRM()`
`boolean` | `hasParmlibCLOCK()`
`boolean` | `hasParmlibCOMMND()`
`boolean` | `hasParmlibCONSOL()`
`boolean` | `hasParmlibCOUPLE()`
`boolean` | `hasParmlibCSVRTL()`
`boolean` | `hasParmlibCUNUNI()`
`boolean` | `hasParmlibDEVSUP()`
`boolean` | `hasParmlibDIAG()`
`boolean` | `hasParmlibEXIT()`
`boolean` | `hasParmlibGRSCNF()`
`boolean` | `hasParmlibGRSRNL()`
`boolean` | `hasParmlibIEAAPF()`
`boolean` | `hasParmlibIEAFIX()`
`boolean` | `hasParmlibIEALPA()`
`boolean` | `hasParmlibIEAOPT()`
`boolean` | `hasParmlibIEAPAK()`
`boolean` | `hasParmlibIEASVC()`
`boolean` | `hasParmlibIEASYM()`
`boolean` | `hasParmlibIEASYS()`
`boolean` | `hasParmlibIECIOS()`
`boolean` | `hasParmlibIEFSSN()`
`boolean` | `hasParmlibIFAPRD()`
`boolean` | `hasParmlibIGDSMS()`
`boolean` | `hasParmlibIKJTSO()`
`boolean` | `hasParmlibLNKLST()`
`boolean` | `hasParmlibLOAD()`
`boolean` | `hasParmlibLPALST()`
`boolean` | `hasParmlibMembers()`
`boolean` | `hasParmlibMSTJCL()`
`boolean` | `hasParmlibPROG()`
`boolean` | `hasParmlibs()`
`boolean` | `hasParmlibSCHED()`
`boolean` | `hasParmlibSMFPRM()`
`boolean` | `hasParmlibSPXPRM()`
`boolean` | `hasParmlibVATLST()`
`boolean` | `hasPrimaryJES()`
`boolean` | `hasProcessCapacityUnits()`
`boolean` | `hasProcessingCapacity()`
`boolean` | `hasSecurityPackage()`
`boolean` | `hasSMFID()`
`boolean` | `hasSSCP()`
`boolean` | `hasStorageVolume()`
`boolean` | `hasSysResVolume()`
`void` | `setDynamicAPF(java.lang.String x)`
`void` | `setDynamicEXIT(java.lang.String x)`
`void` | `setDynamicLNKLST(java.lang.String x)`
`void` | `setDynamicLNKLSTName(java.lang.String x)`
`void` | `setFmid(java.lang.String x)`
`void` | `setIODFDataset(java.lang.String x)`
`void` | `setIODFEDT(java.lang.String x)`
`void` | `setIODFTime(long x)`
`void` | `setIODFVolume(java.lang.String x)`
`void` | `setIPLParmDataset(java.lang.String value)`
`void` | `setIPLParmDevice(java.lang.String x)`
`void` | `setIPLParmMember(java.lang.String x)`
`void` | `setIPLParmVolume(java.lang.String x)`
`void` | `setIPLTime(long value)`
`void` | `setJESNode(java.lang.String value)`
`void` | `setMasterCatalogDataset(java.lang.String x)`
`void` | `setMasterCatalogVolume(java.lang.String x)`
`void` | `setNetID(java.lang.String x)`
`void` | `setNetidSSCP(java.lang.String value)`
`void` | `setOwner(OrganizationalEntity owner)`
`void` | `setParmlibALLOC(java.lang.String x)`
`void` | `setParmlibBPXPRM(java.lang.String x)`
`void` | `setParmlibCEEPRM(java.lang.String x)`
`void` | `setParmlibCLOCK(java.lang.String x)`
`void` | `setParmlibCOMMND(java.lang.String x)`
`void` | `setParmlibCONSOL(java.lang.String x)`
`void` | `setParmlibCOUPLE(java.lang.String x)`
`void` | `setParmlibCSVRTL(java.lang.String x)`
`void` | `setParmlibCUNUNI(java.lang.String x)`
`void` | `setParmlibDEVSUP(java.lang.String x)`
`void` | `setParmlibDIAG(java.lang.String x)`
`void` | `setParmlibEXIT(java.lang.String x)`
`void` | `setParmlibGRSCNF(java.lang.String x)`
`void` | `setParmlibGRSRNL(java.lang.String x)`
`void` | `setParmlibIEAAPF(java.lang.String x)`
`void` | `setParmlibIEAFIX(java.lang.String x)`
`void` | `setParmlibIEALPA(java.lang.String x)`
`void` | `setParmlibIEAOPT(java.lang.String x)`
`void` | `setParmlibIEAPAK(java.lang.String x)`
`void` | `setParmlibIEASVC(java.lang.String x)`
`void` | `setParmlibIEASYM(java.lang.String x)`
`void` | `setParmlibIEASYS(java.lang.String x)`
`void` | `setParmlibIECIOS(java.lang.String x)`
`void` | `setParmlibIEFSSN(java.lang.String x)`
`void` | `setParmlibIFAPRD(java.lang.String x)`
`void` | `setParmlibIGDSMS(java.lang.String x)`
`void` | `setParmlibIKJTSO(java.lang.String x)`
`void` | `setParmlibLNKLST(java.lang.String x)`
`void` | `setParmlibLOAD(java.lang.String x)`
`void` | `setParmlibLPALST(java.lang.String x)`
`void` | `setParmlibMembers(java.lang.String x)`
`void` | `setParmlibMSTJCL(java.lang.String x)`
`void` | `setParmlibPROG(java.lang.String x)`
`void` | `setParmlibs(java.lang.String x)`
`void` | `setParmlibSCHED(java.lang.String x)`
`void` | `setParmlibSMFPRM(java.lang.String x)`
`void` | `setParmlibSPXPRM(java.lang.String x)`
`void` | `setParmlibVATLST(java.lang.String x)`
`void` | `setPrimaryJES(java.lang.String value)`
`void` | `setProcessCapacityUnits(int value)`
`void` | `setProcessingCapacity(float value)`
`void` | `setSecurityPackage(int x)`
`void` | `setSMFID(java.lang.String value)`
`void` | `setSSCP(java.lang.String x)`
`void` | `setStorageVolume(StorageVolume[] x)`
`void` | `setSysResVolume(java.lang.String value)`

Methods inherited from interface com.collation.platform.model.topology.sys.OperatingSystem
`getBootFileSystem, getBootTime, getCharset, getConfigContents, getCurrentTime, getDNSResolveEntries, getFQDN, getInstalledSoftware, getKernelArchitecture, getKernelModulesRawData, getKernelVersion, getLocale, getName, getOSConfidence, getOsId, getOSMode, getOSName, getOSVersion, getPackagesInstalledRawData, getParent, getPatchesInstalledRawData, getSoftwareComponents, getSystemGuid, getVirtualMemorySize, getZReportFiles, hasBootFileSystem, hasBootTime, hasCharset, hasConfigContents, hasCurrentTime, hasDNSResolveEntries, hasFQDN, hasInstalledSoftware, hasKernelArchitecture, hasKernelModulesRawData, hasKernelVersion, hasLocale, hasName, hasOSConfidence, hasOsId, hasOSMode, hasOSName, hasOSVersion, hasPackagesInstalledRawData, hasParent, hasPatchesInstalledRawData, hasSoftwareComponents, hasSystemGuid, hasVirtualMemorySize, hasZReportFiles, setBootFileSystem, setBootTime, setCharset, setConfigContents, setCurrentTime, setDNSResolveEntries, setFQDN, setInstalledSoftware, setKernelArchitecture, setKernelModulesRawData, setKernelVersion, setLocale, setName, setOSConfidence, setOsId, setOSMode, setOSName, setOSVersion, setPackagesInstalledRawData, setParent, setPatchesInstalledRawData, setSoftwareComponents, setSystemGuid, setVirtualMemorySize, setZReportFiles`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.core.Version
`getBuildLevel, getLevel, getMajorVersion, getModifier, getRelease, getVersionString, hasBuildLevel, hasLevel, hasMajorVersion, hasModifier, hasRelease, hasVersionString, setBuildLevel, setLevel, setMajorVersion, setModifier, setRelease, setVersionString`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Methods inherited from interface com.collation.platform.model.topology.sys.zOS.SysplexNode
`getSysplex, hasSysplex, setSysplex`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getIPLParmDataset

    java.lang.String getIPLParmDataset()
                                       throws AttributeNotSetException

  The dataset from which this operating system takes its initial load parameters

  Throws:
    `AttributeNotSetException`

### setIPLParmDataset

    void setIPLParmDataset(java.lang.String value)

### hasIPLParmDataset

    boolean hasIPLParmDataset()

### getIPLTime

    long getIPLTime()
                    throws AttributeNotSetException

  The time when this operating system was last started

  Throws:
    `AttributeNotSetException`

### setIPLTime

    void setIPLTime(long value)

### hasIPLTime

    boolean hasIPLTime()

### getJESNode

    java.lang.String getJESNode()
                                throws AttributeNotSetException

  The identification of this operating system in the JES system

  Throws:
    `AttributeNotSetException`

### setJESNode

    void setJESNode(java.lang.String value)

### hasJESNode

    boolean hasJESNode()

### getNetidSSCP

    java.lang.String getNetidSSCP()
                                  throws AttributeNotSetException

  Depracated. Use SSCP and NetID. The NETID and NAU of the SSCP that provides networking support for this operating system.

  Throws:
    `AttributeNotSetException`

### setNetidSSCP

    void setNetidSSCP(java.lang.String value)

### hasNetidSSCP

    boolean hasNetidSSCP()

### getSMFID

    java.lang.String getSMFID()
                              throws AttributeNotSetException

  The ID of this operating system in SMF

  Throws:
    `AttributeNotSetException`

### setSMFID

    void setSMFID(java.lang.String value)

### hasSMFID

    boolean hasSMFID()

### getPrimaryJES

    java.lang.String getPrimaryJES()
                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setPrimaryJES

    void setPrimaryJES(java.lang.String value)

### hasPrimaryJES

    boolean hasPrimaryJES()

### getSysResVolume

    java.lang.String getSysResVolume()
                                     throws AttributeNotSetException

  The volume on which the system load for this operating system resides

  Throws:
    `AttributeNotSetException`

### setSysResVolume

    void setSysResVolume(java.lang.String value)

### hasSysResVolume

    boolean hasSysResVolume()

### getProcessingCapacity

    float getProcessingCapacity()
                                throws AttributeNotSetException

  The processing capacity of this operating system

  Throws:
    `AttributeNotSetException`

### setProcessingCapacity

    void setProcessingCapacity(float value)

### hasProcessingCapacity

    boolean hasProcessingCapacity()

### getProcessCapacityUnits

    int getProcessCapacityUnits()
                                throws AttributeNotSetException

  Units in which the processing capacity was specified

  Throws:
    `AttributeNotSetException`

### setProcessCapacityUnits

    void setProcessCapacityUnits(int value)

### hasProcessCapacityUnits

    boolean hasProcessCapacityUnits()

### getOwner

    OrganizationalEntity getOwner()
                                  throws AttributeNotSetException

  The organization that owns this instance of zOS

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Owns" reverse="true"

### setOwner

    void setOwner(OrganizationalEntity owner)

### hasOwner

    boolean hasOwner()

### getParmlibSCHED

    java.lang.String getParmlibSCHED()
                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setParmlibSCHED

    void setParmlibSCHED(java.lang.String x)

### hasParmlibSCHED

    boolean hasParmlibSCHED()

### getParmlibCEEPRM

    java.lang.String getParmlibCEEPRM()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setParmlibCEEPRM

    void setParmlibCEEPRM(java.lang.String x)

### hasParmlibCEEPRM

    boolean hasParmlibCEEPRM()

### getDynamicEXIT

    java.lang.String getDynamicEXIT()
                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setDynamicEXIT

    void setDynamicEXIT(java.lang.String x)

### hasDynamicEXIT

    boolean hasDynamicEXIT()

### getParmlibIKJTSO

    java.lang.String getParmlibIKJTSO()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setParmlibIKJTSO

    void setParmlibIKJTSO(java.lang.String x)

### hasParmlibIKJTSO

    boolean hasParmlibIKJTSO()

### getParmlibMSTJCL

    java.lang.String getParmlibMSTJCL()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setParmlibMSTJCL

    void setParmlibMSTJCL(java.lang.String x)

### hasParmlibMSTJCL

    boolean hasParmlibMSTJCL()

### getDynamicAPF

    java.lang.String getDynamicAPF()
                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setDynamicAPF

    void setDynamicAPF(java.lang.String x)

### hasDynamicAPF

    boolean hasDynamicAPF()

### getNetID

    java.lang.String getNetID()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setNetID

    void setNetID(java.lang.String x)

### hasNetID

    boolean hasNetID()

### getParmlibIFAPRD

    java.lang.String getParmlibIFAPRD()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setParmlibIFAPRD

    void setParmlibIFAPRD(java.lang.String x)

### hasParmlibIFAPRD

    boolean hasParmlibIFAPRD()

### getParmlibIEAOPT

    java.lang.String getParmlibIEAOPT()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setParmlibIEAOPT

    void setParmlibIEAOPT(java.lang.String x)

### hasParmlibIEAOPT

    boolean hasParmlibIEAOPT()

### getParmlibCOMMND

    java.lang.String getParmlibCOMMND()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setParmlibCOMMND

    void setParmlibCOMMND(java.lang.String x)

### hasParmlibCOMMND

    boolean hasParmlibCOMMND()

### getIPLParmVolume

    java.lang.String getIPLParmVolume()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setIPLParmVolume

    void setIPLParmVolume(java.lang.String x)

### hasIPLParmVolume

    boolean hasIPLParmVolume()

### getSecurityPackage

    int getSecurityPackage()
                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setSecurityPackage

    void setSecurityPackage(int x)

### hasSecurityPackage

    boolean hasSecurityPackage()

### getParmlibIEAPAK

    java.lang.String getParmlibIEAPAK()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setParmlibIEAPAK

    void setParmlibIEAPAK(java.lang.String x)

### hasParmlibIEAPAK

    boolean hasParmlibIEAPAK()

### getParmlibCSVRTL

    java.lang.String getParmlibCSVRTL()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setParmlibCSVRTL

    void setParmlibCSVRTL(java.lang.String x)

### hasParmlibCSVRTL

    boolean hasParmlibCSVRTL()

### getParmlibSMFPRM

    java.lang.String getParmlibSMFPRM()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setParmlibSMFPRM

    void setParmlibSMFPRM(java.lang.String x)

### hasParmlibSMFPRM

    boolean hasParmlibSMFPRM()

### getParmlibIEASYM

    java.lang.String getParmlibIEASYM()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setParmlibIEASYM

    void setParmlibIEASYM(java.lang.String x)

### hasParmlibIEASYM

    boolean hasParmlibIEASYM()

### getParmlibCLOCK

    java.lang.String getParmlibCLOCK()
                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setParmlibCLOCK

    void setParmlibCLOCK(java.lang.String x)

### hasParmlibCLOCK

    boolean hasParmlibCLOCK()

### getIODFVolume

    java.lang.String getIODFVolume()
                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setIODFVolume

    void setIODFVolume(java.lang.String x)

### hasIODFVolume

    boolean hasIODFVolume()

### getParmlibLNKLST

    java.lang.String getParmlibLNKLST()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setParmlibLNKLST

    void setParmlibLNKLST(java.lang.String x)

### hasParmlibLNKLST

    boolean hasParmlibLNKLST()

### getParmlibIEALPA

    java.lang.String getParmlibIEALPA()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setParmlibIEALPA

    void setParmlibIEALPA(java.lang.String x)

### hasParmlibIEALPA

    boolean hasParmlibIEALPA()

### getParmlibDEVSUP

    java.lang.String getParmlibDEVSUP()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setParmlibDEVSUP

    void setParmlibDEVSUP(java.lang.String x)

### hasParmlibDEVSUP

    boolean hasParmlibDEVSUP()

### getParmlibIEASYS

    java.lang.String getParmlibIEASYS()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setParmlibIEASYS

    void setParmlibIEASYS(java.lang.String x)

### hasParmlibIEASYS

    boolean hasParmlibIEASYS()

### getParmlibIEAAPF

    java.lang.String getParmlibIEAAPF()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setParmlibIEAAPF

    void setParmlibIEAAPF(java.lang.String x)

### hasParmlibIEAAPF

    boolean hasParmlibIEAAPF()

### getParmlibCOUPLE

    java.lang.String getParmlibCOUPLE()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setParmlibCOUPLE

    void setParmlibCOUPLE(java.lang.String x)

### hasParmlibCOUPLE

    boolean hasParmlibCOUPLE()

### getParmlibGRSRNL

    java.lang.String getParmlibGRSRNL()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setParmlibGRSRNL

    void setParmlibGRSRNL(java.lang.String x)

### hasParmlibGRSRNL

    boolean hasParmlibGRSRNL()

### getParmlibSPXPRM

    java.lang.String getParmlibSPXPRM()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setParmlibSPXPRM

    void setParmlibSPXPRM(java.lang.String x)

### hasParmlibSPXPRM

    boolean hasParmlibSPXPRM()

### getParmlibVATLST

    java.lang.String getParmlibVATLST()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setParmlibVATLST

    void setParmlibVATLST(java.lang.String x)

### hasParmlibVATLST

    boolean hasParmlibVATLST()

### getFmid

    java.lang.String getFmid()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setFmid

    void setFmid(java.lang.String x)

### hasFmid

    boolean hasFmid()

### getMasterCatalogVolume

    java.lang.String getMasterCatalogVolume()
                                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setMasterCatalogVolume

    void setMasterCatalogVolume(java.lang.String x)

### hasMasterCatalogVolume

    boolean hasMasterCatalogVolume()

### getDynamicLNKLST

    java.lang.String getDynamicLNKLST()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setDynamicLNKLST

    void setDynamicLNKLST(java.lang.String x)

### hasDynamicLNKLST

    boolean hasDynamicLNKLST()

### getIODFTime

    long getIODFTime()
                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setIODFTime

    void setIODFTime(long x)

### hasIODFTime

    boolean hasIODFTime()

### getParmlibIEAFIX

    java.lang.String getParmlibIEAFIX()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setParmlibIEAFIX

    void setParmlibIEAFIX(java.lang.String x)

### hasParmlibIEAFIX

    boolean hasParmlibIEAFIX()

### getParmlibMembers

    java.lang.String getParmlibMembers()
                                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setParmlibMembers

    void setParmlibMembers(java.lang.String x)

### hasParmlibMembers

    boolean hasParmlibMembers()

### getParmlibLOAD

    java.lang.String getParmlibLOAD()
                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setParmlibLOAD

    void setParmlibLOAD(java.lang.String x)

### hasParmlibLOAD

    boolean hasParmlibLOAD()

### getIODFEDT

    java.lang.String getIODFEDT()
                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setIODFEDT

    void setIODFEDT(java.lang.String x)

### hasIODFEDT

    boolean hasIODFEDT()

### getParmlibCUNUNI

    java.lang.String getParmlibCUNUNI()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setParmlibCUNUNI

    void setParmlibCUNUNI(java.lang.String x)

### hasParmlibCUNUNI

    boolean hasParmlibCUNUNI()

### getIPLParmMember

    java.lang.String getIPLParmMember()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setIPLParmMember

    void setIPLParmMember(java.lang.String x)

### hasIPLParmMember

    boolean hasIPLParmMember()

### getParmlibs

    java.lang.String getParmlibs()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setParmlibs

    void setParmlibs(java.lang.String x)

### hasParmlibs

    boolean hasParmlibs()

### getParmlibDIAG

    java.lang.String getParmlibDIAG()
                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setParmlibDIAG

    void setParmlibDIAG(java.lang.String x)

### hasParmlibDIAG

    boolean hasParmlibDIAG()

### getIPLParmDevice

    java.lang.String getIPLParmDevice()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setIPLParmDevice

    void setIPLParmDevice(java.lang.String x)

### hasIPLParmDevice

    boolean hasIPLParmDevice()

### getParmlibCONSOL

    java.lang.String getParmlibCONSOL()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setParmlibCONSOL

    void setParmlibCONSOL(java.lang.String x)

### hasParmlibCONSOL

    boolean hasParmlibCONSOL()

### getParmlibLPALST

    java.lang.String getParmlibLPALST()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setParmlibLPALST

    void setParmlibLPALST(java.lang.String x)

### hasParmlibLPALST

    boolean hasParmlibLPALST()

### getParmlibIEFSSN

    java.lang.String getParmlibIEFSSN()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setParmlibIEFSSN

    void setParmlibIEFSSN(java.lang.String x)

### hasParmlibIEFSSN

    boolean hasParmlibIEFSSN()

### getParmlibGRSCNF

    java.lang.String getParmlibGRSCNF()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setParmlibGRSCNF

    void setParmlibGRSCNF(java.lang.String x)

### hasParmlibGRSCNF

    boolean hasParmlibGRSCNF()

### getParmlibIGDSMS

    java.lang.String getParmlibIGDSMS()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setParmlibIGDSMS

    void setParmlibIGDSMS(java.lang.String x)

### hasParmlibIGDSMS

    boolean hasParmlibIGDSMS()

### getParmlibEXIT

    java.lang.String getParmlibEXIT()
                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setParmlibEXIT

    void setParmlibEXIT(java.lang.String x)

### hasParmlibEXIT

    boolean hasParmlibEXIT()

### getParmlibIEASVC

    java.lang.String getParmlibIEASVC()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setParmlibIEASVC

    void setParmlibIEASVC(java.lang.String x)

### hasParmlibIEASVC

    boolean hasParmlibIEASVC()

### getDynamicLNKLSTName

    java.lang.String getDynamicLNKLSTName()
                                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setDynamicLNKLSTName

    void setDynamicLNKLSTName(java.lang.String x)

### hasDynamicLNKLSTName

    boolean hasDynamicLNKLSTName()

### getParmlibPROG

    java.lang.String getParmlibPROG()
                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setParmlibPROG

    void setParmlibPROG(java.lang.String x)

### hasParmlibPROG

    boolean hasParmlibPROG()

### getParmlibALLOC

    java.lang.String getParmlibALLOC()
                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setParmlibALLOC

    void setParmlibALLOC(java.lang.String x)

### hasParmlibALLOC

    boolean hasParmlibALLOC()

### getMasterCatalogDataset

    java.lang.String getMasterCatalogDataset()
                                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setMasterCatalogDataset

    void setMasterCatalogDataset(java.lang.String x)

### hasMasterCatalogDataset

    boolean hasMasterCatalogDataset()

### getIODFDataset

    java.lang.String getIODFDataset()
                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setIODFDataset

    void setIODFDataset(java.lang.String x)

### hasIODFDataset

    boolean hasIODFDataset()

### getSSCP

    java.lang.String getSSCP()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setSSCP

    void setSSCP(java.lang.String x)

### hasSSCP

    boolean hasSSCP()

### getParmlibIECIOS

    java.lang.String getParmlibIECIOS()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setParmlibIECIOS

    void setParmlibIECIOS(java.lang.String x)

### hasParmlibIECIOS

    boolean hasParmlibIECIOS()

### getParmlibBPXPRM

    java.lang.String getParmlibBPXPRM()
                                      throws AttributeNotSetException

  A copy of BPXPRMxx member(s) from the PARMLIB dataset concatenation that was used for the current IPL. This member specifies the default z/OS UNIX System Services and file system parameters. (1 column table)

  Throws:
    `AttributeNotSetException`

### setParmlibBPXPRM

    void setParmlibBPXPRM(java.lang.String x)

### hasParmlibBPXPRM

    boolean hasParmlibBPXPRM()

### getStorageVolume

    StorageVolume[] getStorageVolume()
                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Accesses" reverse="false"

### setStorageVolume

    void setStorageVolume(StorageVolume[] x)

### hasStorageVolume

    boolean hasStorageVolume()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD